Subject: Re: [Bridge] Bridge & it's MAC address question

From: Stephen Hemminger <[email-masked]>
Date: Fri, 15 Dec 2006 07:52:36 -0800

On Fri, 15 Dec 2006 14:19:08 +0100
Lennert Buytenhek <[email-masked]> wrote:

> On Mon, Oct 30, 2006 at 07:28:37AM -0800, Stephen Hemminger wrote:
> 
> > > Could somebody explain, why bridge uses minimal MAC of the attached devices?
> > > It makes this address instable, variable during bridge life-cycle, which is 
> > > not good for DHCP. For example, I want to attach multiple virtual devices to 
> > > one physical. Then, I need to make sure that after each virtual device 
> > > addition, bridge addr is not changed and still addr of the physical device.  
> > > Why not to use MAC of the first attached device?
> > 
> > The bridge physical address is the minimum of all the attached devices.
> > This is done because the STP standard requires it.  You can reset it
> > to be the same as any of the attached devices. This will not cause a
> > problem unless using STP.
> 
> You can in fact use any MAC address.  The STP standard recommends using
> the minimum address, as that is deterministic, and so it doesn't depend
> on the order in which you enslave subdevices.

So should restriction be lifted?
Please update wiki page FAQ, or I'll do it